<?php
include 'header.php';
include 'erpc_pedidos_compra_toolbar.php'; //Nome da tabela _list.php
include 'connect.php';


$id_usuario = $_SESSION[SESSION_USER_NAME]['id'];

// Método para post de Query Avançada
$id_fornecedor = 0;

if(isset($_GET['id_fornecedor'])){
  $id_fornecedor = base64_decode($_GET['id_fornecedor']);
}

	$consulta = "select  ci.id_fornecedor,
    ci.id_cotacao_compra     ,
    sum(si.nr_quantidade * ci.vl_negociado ) as vl_negociado_item
from   erpc_cotacao_compra_itens ci
join   erpc_solicitacao_compra_itens si on ci.id_solicitacao_compra_item = si.id
join  erpc_produtos pr on si.id_produto = pr.id
where  ci.st_aprovada = 1 and not exists(
       select 1 from erpc_pedidos_compra_itens pi 
       where ci.id_solicitacao_compra_item = pi.id_solicitacao_compra_item)
group by ci.id_fornecedor     ,
     ci.id_cotacao_compra     
having   ci.id_fornecedor = $id_fornecedor";

	/* //Efetuando busca avançada - se passado os parametros
  if(isset($_POST['pesquisar'])) {
		$id                   = $_POST['id'];
		$ds_razao	          = trim($_POST['ds_razao']);
		$dt_lancamento	        = trim($_POST['dt_lancamento']);
		$vl_total	            = trim($_POST['vl_total']);


	  $consulta .= (!empty($id)  		? " and id like '%$id%'"            	: '');
	  $consulta .= (!empty($ds_razao)? " and ds_razao like '%$ds_razao%'"    : '');
	  $consulta .= (!empty($dt_lancamento)? " and dt_lancamento like '%$dt_lancamento%'"  : '');
	  $consulta .= (!empty($vl_total)? " and vl_total like '%$vl_total%'"  : '');


	}
  */
	$consulta .= " order by 1"

?>

<div class="block">
  <div class="header">
  <h2>Importar Solicitações de Compra para Pedido</h2>
    <!--
    <div class="side pull-right">
        <button id='btnShow' class="btn btn-default btn-clean">Legenda</button>
      </div>
    -->
    </div>
    <div class="block">
      <div class="content">
        <?php
        displayMessagesAndErrors(true);
        ?>
      </div>
    </div>

  <form method="POST" action="erpc_pedidos_compra_ws.php"  id=validate_custom >
  <input type="hidden" value="<?php echo $id_usuario; ?>" name="id_usuario" id="id_usuario" />
  <input type="hidden" value="<?php echo $id_fornecedor; ?>" name="id_fornecedor" id="id_fornecedor" />

  <div class="content controls">
      <div class="form-row">
        <div class="col-md-3"><label>Fornecedor:</label></div>
        <div class="col-md-6">

          <select required name="sel_fornecedor" id="sel_fornecedor" class="form-control">
            <option value='<?=base64_encode("0");?>'>{SELECIONE O FORNECEDOR}</option>
          <?

          $cons_fornecedor = "select  id, concat(ds_cpf_cnpj, ' | ', ds_razao) as ds_razao from erpc_fornecedores where st_ativo = 1 order by 2 ";
          $resultado = mysqli_query($conexao, $cons_fornecedor) or die ($erro = mysqli_error($conexao));
          if (mysqli_num_rows($resultado)>0) {
                while ($registro = mysqli_fetch_assoc($resultado)){

                  $id = $registro['id'];
                  $id_crip = base64_encode($id);
                  $ds_razao = $registro['ds_razao'];

                  $p_selected = "";
                  if($id==$id_fornecedor){
                    $p_selected= "selected";
                  }

                  echo "<option value='$id_crip' $p_selected>$ds_razao</option>";
                }
              }
          ?>
          </select>
        </div>
      </div>

      <div class="form-row">
        <div class="col-md-3"><label>Condição de Pagamento</label></div>
        <div class="col-md-2">
          <div class="input-group">
          <input required type="text" id="id_condicao_pagamento" name="id_condicao_pagamento" class="validate[required] form-control" value="<?=$id_condicao_pagamento;?>" />

          <div class="input-group-addon">
            <a href="erpc_condicao_pagamento_helper.php" class='input-helper' data-remote="false" data-toggle="modal" data-target="#helper-modal-div" data-value="input[name='id_condicao_pagamento']" data-description="input[name='ds_condicao_pagamento']" data-title="Selecione:" value="<?=$id_condicao_pagamento; ?>">
            <span class="fa fa-search"></span></a>
           </div>
           </div>
        </div>
        <div class="col-md-4"><input readonly name="ds_condicao_pagamento" id="ds_condicao_pagamento"/></div>
    </div>

    <div class="form-row">
      <div class="col-md-3">
        <label>Forma de Pagamento</label></div>
        <div class="col-md-2"> 
          <div class="input-group">
            <input required type="text" id="id_forma_pagamento" name="id_forma_pagamento" class="validate[required] form-control" value="<?=sgcws_attr($id_forma_pagamento); ?>" />

          <div class="input-group-addon">
            <a href="erpc_dom_forma_pagamento_helper.php" class='input-helper' data-remote="false" data-toggle="modal" data-target="#helper-modal-div" data-value="input[name='id_forma_pagamento']" data-description="input[name='[ds_forma]']" data-title="Selecione:" value="<?= sgcws_attr($id_forma_pagamento); ?>">
            <span class="fa fa-search"></span></a>
           </div>
           </div>
        </div>
       <div class="col-md-4"><input readonly name="ds_forma" id="ds_forma"/></div>
    </div>

    <!-- Itens dos produtos -->
     <div class="block">
      <div class="content controls">
        <div class="form-row">
          <div class="col-md-12">               
          <div class="table-responsive">
          <!-- <table class="table table-bordered table-striped table-responsible sortable">
          -->
          <table class="table table-bordered table-striped table-responsible sortable">
            <thead>
              <tr>
                <th width=05%><input type="checkbox" class="checkall" checked /></th>
          			<th width=40%>Cotação</th>
          			<th width=15%>Detalhes</th>
          			<th width=40%>Vl. Total Negociado</th>
          			<!--
                <th width=10%>Status</th>
                <th width=03%>Editar</th>
          			<th width=03%>Excluir</th>
                -->
              </tr>
            </thead>
            <tbody>

              <?php

          $vl_total_pedido = 0;
    			$resultado = mysqli_query($conexao, $consulta) or die ($erro = mysqli_error($conexao));
    			if (mysqli_num_rows($resultado)>0) {
                while ($registro = mysqli_fetch_assoc($resultado)){

                $id_cotacao_compra         = $registro['id_cotacao_compra'];

                $vl_negociado_item = $registro['vl_negociado_item'];
                $vl_item           = floatval($vl_negociado_item);

                $vl_total_pedido  += $vl_item;
                $vl_negociado_label= number_format($vl_negociado_item, 2, ",", "");

    			echo "<tr>";
    			      echo "<td class='text-center'><input type='checkbox' checked value='$id_cotacao_compra' data-value='$vl_negociado_item' name='id_cotacao_compra[]' id='id_cotacao_compra[]' /></td>";

                echo "<td>$id_cotacao_compra</td>";
                //echo "<td>$id_solicitacao_compra_item</td>";

                echo "<td class='text-center'><a href='javascript:fnDetalhe($id_fornecedor,$id_cotacao_compra);'
                <span class='fa fa-search'></span></a></td>";

                echo "<td class='text-right'><input style='text-align:right' readonly type='text' name='vl_total_negociado[]' value='$vl_negociado_label' /></td>";
                
                /*
                echo "<td><img src='$ds_path' ></td>";
                echo "<td class='text-center'><a href='erpc_pedidos_compra_edit.php?id=$id_crip'>  <i class='glyphicon glyphicon-pencil' title='Editar'><span class='sr-only'>Editar</span></i></a></td>";
                
                echo "<td class='text-center'><a href='erpc_pedidos_compra_ws.php?remove=true&id=$id_crip'><i class='glyphicon glyphicon-trash' title='Remover'><span class='sr-only'>Remover</span></i></a></td>";
                */
                echo "</tr>";
                }
              }
              ?>
            </tbody>
          </table>
        </div> <!-- table-responsive -->

      </div>
    </div></div></div>

    <div class="form-row">
      <div class="col-md-2"><label>R$ Total do Pedido:</label></div>
      <div class="col-md-2">
        <input type="text" name="vl_total_pedido" id="vl_total_pedido" value="R$ <?=number_format($vl_total_pedido, 2, ',','')?>" />
      </div>
      <div class="col-md-6">
        <div class="side pull-right">
        <div class=btn-group>
          <button  name="btn-auto" class="btn btn-primary btn-cleanx" type="submit" value="faturar" onClick="$('#validate_custom').validationEngine('hide');" >Gerar Pedido</button>
          <!--
          <button  name="btn-cancelar" class="btn btn-primary btn-cleanx" type="submit" value="faturar" onClick="$('#validate_custom').validationEngine('hide');" >Cancelar Pedidos</button>
          -->
        </div>
      </div>
      </div>
    </div>
	
      

	    <div class="form-row clear">&nbsp;</div>
      
      <div id="div_label" hidden>
        <div id="div_produtos">&nbsp;</div>
      </div>

  </div> <!-- content -->
  </form>
</div> <!-- block -->

<?php include 'inc/helper_modal_div.php'; ?>
<?php include 'footer.php';?>
<style>
#div_label{
  position: fixed;
  top:0px;
  height: 220px;
  width:  600px;
  overflow: auto;
  overflow-y: scroll; 
  background-color: #666666;
  scrollbar-base-color:#ffeaff
  padding: 7px; 
  flex-direction: column-reverse;
}
</style>


<script type="text/javascript">
$(document).ready(function() {

  $.fn.dataTableExt.sErrMode = 'none';
  $('.table').dataTable({
        "iDisplayLength": 100        // Exibe todos os registros de uma só vez, de acordo como aLengthMenu
  });
      
  $("#sel_fornecedor").on("change blur", function(){
    var p_id_for = $(this).val();

    redirect = "erpc_pedidos_compra_cotacoes_importar.php?id_fornecedor=" + p_id_for;
    
    window.location = redirect;
  });

  /* faz a soma enquanto o usuário seleciona a cotação para geração do pedido */
  $(':checkbox').on("change blur", function(){
    var p_total = 0;
    $('input[name*=id_cotacao_compra]').each(function(){
        if($(this).is(':checked')){
          var p_item = parseFloat($(this).attr('data-value'));
          p_total += p_item;
        }
    });
    p_total_label = p_total.toLocaleString("pt-BR", { style: "currency" , currency:"BRL"});
    $("#vl_total_pedido").val(p_total_label);
  });

  $(document).keyup(function(e) {
    if(e.which == 27){
        // Close my modal window
        // alert(e.which);
        $('#div_label').hide();
    }
   });

  fnDetalhe = function(p_for, p_cot){
    // alert(p_for + "|" + p_cot);

    p_link = "erpc_cotacoes_compra_aprovadas_detalhe.php?id_fornecedor=" + p_for + "&id_cotacao_compra=" + p_cot;

    $("#div_label" ).load(p_link);

    w_width = $(window).width();

    h_scroll = $(".mCustomScrollBox").height();
    
    $('#div_label').css('left', w_width / 3 - 100);
    $('#div_label').css('top' , h_scroll / 2);

    $('#div_label').fadeIn();
    $('#div_label').fadeIn("slow");
    $('#div_label').fadeIn(3000);

  }

  $("#div_label").on('click', function () {
    $("#div_label").fadeOut();
  });

}(jQuery));
</script>
